gnutls_pkcs12_bag_get_friendly_name(3)

NAME
gnutls_pkcs12_bag_get_friendly_name - This function returns the friendly name of the bag element

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_get_friendly_name(gnutls_pkcs12_bag_t bag, int indx, char ** name);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

int indx
    The bag's element to add the id

char ** name
    will hold a pointer to the name (to be treated as const)

DESCRIPTION
This function will return the friendly name, of the specified bag element. The key ID is usually used to distinguish the local private key and the certificate pair. Returns 0 on success, or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.